Subject: RE: bug#5974: 23.1.95; enabling disabled cmd & saving doesn't respect `custom-file'

From: "Drew Adams" <[email-masked]>
Date: Mon, 19 Apr 2010 10:06:37 -0700

> I have `custom-file' set to a particular file, different from 
> my .emacs (actually, I use `_emacs' on Windows).
>  
> I just tried `C-x n p'. I thought that I had enabled it years ago, but
> apparently not. I hit `y' to enable it, then `y' to save it. A message
> said that the customization was being saved to my `_emacs' 
> file. And it was in fact saved there.
>  
> That is wrong. I have a separate `custom-file' specifically so that
> customization does not mess with my init file.

There is no option or face that corresponds to this kind of customization, so I
guess this is not so much a bug as an enhancement request:

If a user has defined variable `custom-file', then code that enables or disables
commands should place the proper `put' sexp in the `custom-file', not in the
init file.